Method: projects.locations.serviceConfig.initialize

Initializes the service related config for a project.

HTTP request


POST https://backupdr.googleapis.com/v1/{name=projects/*/locations/*/serviceConfig}:initialize

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the serviceConfig used to initialize the service. The location must be the location of the BackupVault. Format: projects/{projectId}/locations/{location}/serviceConfig.

Request body

The request body contains data with the following structure:

JSON representation
{
  "resourceType": string,
  "requestId": string,
  "backupPlanLocation": string,
  "validateOnly": boolean,

  // Union field initialization_config can be only one of the following:
  "cloudSqlInstanceInitializationConfig": {
    object (CloudSqlInstanceInitializationConfig)
  }
  // End of list of possible types for union field initialization_config.
}
Fields
resourceType

string

Required. The resource type to which the default service config will be applied. Examples include, "compute.googleapis.com/Instance" and "storage.googleapis.com/Bucket".

requestId

string

Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request.

For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments.

The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).

backupPlanLocation

string

Optional. The location where the BackupPlan will be created. This field is required for multi-region BackupVaults and is optional for regional BackupVaults. It is useful when creating a Backup Vault in a multi-region, allowing the BackupPlan to reside in a specific region within that multi-region. If this field is not provided, the BackupPlan will be created in the same location as specified in the name field.

validateOnly

boolean

Optional. If set, validates the request and returns the result, but does not actually run it.

Union field initialization_config. The configuration for initializing the resource. initialization_config can be only one of the following:
cloudSqlInstanceInitializationConfig

object (CloudSqlInstanceInitializationConfig)

Optional. The configuration for initializing a Cloud SQL instance.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

CloudSqlInstanceInitializationConfig

CloudSqlInstanceInitializationConfig contains the configuration for initializing a Cloud SQL instance.

JSON representation
{
  "edition": enum (Edition)
}
Fields
edition

enum (Edition)

Required. The edition of the Cloud SQL instance.

Edition

The edition of the Cloud SQL instance. For details, see https://cloud.google.com/sql/docs/editions-intro.

Enums
EDITION_UNSPECIFIED Unspecified edition.
ENTERPRISE Enterprise edition.
ENTERPRISE_PLUS Enterprise Plus edition.